gnutls_handshake_set_random(3)

NAME
gnutls_handshake_set_random - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_handshake_set_random(gnutls_session_t session, const gnutls_datum_t* random);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const gnutls_datum_t* random
    a random value of 32-bytes

DESCRIPTION
This function will explicitly set the server or client hello random value in the subsequent TLS handshake. The random value should be a 32-byte value. Note that this function should not normally be used as gnutls will select automatically a random value for the handshake. This function should not be used when resuming a session.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code. Since 3.1.9

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/